CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api PATCH /v1/liquidity/facility \
--body '<request-json>'Update credit line payout treasury.
# Infinite MCP is read-only for this endpoint — use a dedicated MCP tool when one exists, otherwise run the CLI tab.import requests
url = "https://sandbox.api.infinite.dev/v1/liquidity/facility"
payload = { "payoutTreasuryId": "trs_abc123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payoutTreasuryId: 'trs_abc123'})
};
fetch('https://sandbox.api.infinite.dev/v1/liquidity/facility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/liquidity/facility",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'payoutTreasuryId' => 'trs_abc123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/liquidity/facility"
payload := strings.NewReader("{\n \"payoutTreasuryId\": \"trs_abc123\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sandbox.api.infinite.dev/v1/liquidity/facility")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payoutTreasuryId\": \"trs_abc123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/liquidity/facility")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payoutTreasuryId\": \"trs_abc123\"\n}"
response = http.request(request)
puts response.read_body{
"currency": "USDC",
"network": "SOLANA",
"creditLine": {
"creditLimit": "<string>",
"remainingCredit": "<string>",
"borrowedAmount": "<string>",
"transactionsOpen": 123,
"maximumDrawAmount": "<string>",
"fundingFeeBpsPerHour": 123,
"feeCapHours": 123,
"asOf": "<string>"
},
"payoutTreasuryId": "trs_abc123",
"payoutTreasuries": [
{
"id": "trs_abc123",
"name": "<string>"
}
]
}Liquidity
Update credit line payout treasury
PATCH
/
v1
/
liquidity
/
facility
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api PATCH /v1/liquidity/facility \
--body '<request-json>'Update credit line payout treasury.
# Infinite MCP is read-only for this endpoint — use a dedicated MCP tool when one exists, otherwise run the CLI tab.import requests
url = "https://sandbox.api.infinite.dev/v1/liquidity/facility"
payload = { "payoutTreasuryId": "trs_abc123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payoutTreasuryId: 'trs_abc123'})
};
fetch('https://sandbox.api.infinite.dev/v1/liquidity/facility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/liquidity/facility",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'payoutTreasuryId' => 'trs_abc123'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/liquidity/facility"
payload := strings.NewReader("{\n \"payoutTreasuryId\": \"trs_abc123\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sandbox.api.infinite.dev/v1/liquidity/facility")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payoutTreasuryId\": \"trs_abc123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/liquidity/facility")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payoutTreasuryId\": \"trs_abc123\"\n}"
response = http.request(request)
puts response.read_body{
"currency": "USDC",
"network": "SOLANA",
"creditLine": {
"creditLimit": "<string>",
"remainingCredit": "<string>",
"borrowedAmount": "<string>",
"transactionsOpen": 123,
"maximumDrawAmount": "<string>",
"fundingFeeBpsPerHour": 123,
"feeCapHours": 123,
"asOf": "<string>"
},
"payoutTreasuryId": "trs_abc123",
"payoutTreasuries": [
{
"id": "trs_abc123",
"name": "<string>"
}
]
}Authorizations
bearerbearer
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Body
application/json
Solana payout treasury id that should receive credit draws
Example:
"trs_abc123"
Response
Example:
"USDC"
Example:
"SOLANA"
Show child attributes
Show child attributes
Configured Solana payout treasury id. Null when no Solana treasury exists.
Example:
"trs_abc123"
Org-owned Solana treasuries eligible as payout destinations
Show child attributes
Show child attributes
Was this page helpful?